ITPub博客

首页 > Linux操作系统 > Linux操作系统 > kernel: Uhhuh. NMI received for unknown reason 31

kernel: Uhhuh. NMI received for unknown reason 31

原创 Linux操作系统 作者:tolywang 时间:2007-03-19 00:00:00 0 删除 编辑

Linux AS2.1 + Oracle9.2.0.4 RAC

Linux Error Messages :

Mar 19 10:53:41 dell-node2 kernel: Uhhuh. NMI received for unknown reason 31.
Mar 19 10:53:41 dell-node2 kernel: Dazed and confused, but trying to continue
Mar 19 10:53:41 dell-node2 kernel: Do you have a strange power saving mode enabled?


Document ID: c00781084

Version: 2

Advisory: (Revision) Enable Linux x86_64 HPET Option in RBSU to Avoid Kernel Panic During Installation of Certain Versions of Linux AMD64/EM64T on ProLiant DL585 G2 Server and ProLiant BL685c Server Blade

NOTICE: The information in this document, including products and software versions, is current as of the Release Date. This document is subject to change without notice.

Release Date: 2006-12-15

Last Updated: 2006-12-14

--------------------------------------------------------------------------------

DESCRIPTION
Document Version
Release Date
Details

2
12/15/2006
Added ProLiant BL685c server blade as an affected Hardware Platform.

1
10/06/2006
Original Document Release.

When installing Red Hat Enterprise Linux 4 Update 3 (AMD64/EM64T), Red Hat Enterprise Linux 4 Update 4 (AMD64/EM64T), or SUSE Linux Enterprise Server 9 Service Pack 3 (AMD64/EM64T) on a ProLiant DL585 G2 server, a kernel panic similar to the following may occur:

. . MP-BIOS bug: 8254 timer not connected to IO-APIC failed.
timer doesn't work through the IO-APIC - disabling NMI Watchdog!
Kernel panic - not syncing: IO-APIC + timer doesn't work! Try using the 'noapic' kernel parameter

Uhhuh. NMI received for unknown reason 20
Dazed and confused, but trying to continue
Do you have a strange power saving mode enabled?

Note: Even if the installation is successful, the above messages will be displayed in the /var/log/messages file or dmesg output.

These messages occur because the kernel ignores the Advanced Configuration and Power Interface (ACPI) timer override for the system timer.

SCOPE
Any ProLiant DL585 G2 server or ProLiant BL685c server blade attempting an installation of any of the following versions of Linux:

Red Hat Enterprise Linux 4 Update 3 (AMD64/EM64T)
Red Hat Enterprise Linux 4 Update 4 (AMD64/EM64T)
SUSE Linux Enterprise Server 9 Service Pack 3 (AMD64/EM64T)

RESOLUTION
Enable the Linux x86_64 HPET Option in RBSU (ROM-Based Setup Utility) for the Linux versions listed in the scope section above by performing the following:

Press the F9 key during POST to access ROM-Based Setup Utility (RBSU).
Select Advanced Options.
Select Linux x86_64 HPET Option, and change the setting to "Enabled."
Press the F10 key to exit RBSU. The server will restart automatically.

Note: The above instructions should be followed for all modes of installation: Manual, Rapid Deployment Pack (RDP), Network (NFS), Scripted or any other.

Refer to the Linux for ProLiant AMD Rev F Opteron webpage for additional Linux installation information, located at the following HP URL:

http://h18004.www1.hp.com/products/...x/k8-notes.html

RECEIVE PROACTIVE UPDATES : Receive support alerts (such as Customer Advisories), as well as updates on drivers, software, firmware, and customer replaceable components, proactively via e-mail through HP Subscriber's Choice. Sign up for Subscriber's Choice at the following URL:

http://www.hp.com/go/myadvisory

SEARCH TIP : For hints on locating similar documents on HP.com, refer to the Search Tips document: http://h20000.www2.hp.com/bizsuppor...ectID=c00638154 .

To search for additional advisories related to Linux, use the following search string:

+ProLiant +Advisory +Linux

KEYWORDS : hang, lockup, lock up, installation fails, error messages


--------------------------------------------------------------------------------

Hardware Platforms Affected: HP ProLiant BL685c Server series, HP ProLiant DL585 G2 Server series

Operating Systems Affected: SUSE Linux Enterprise Server 9 (AMD64/EM64T), Red Hat Enterprise Linux 4 (AMD64/EM64T)

Software Affected: Not Applicable

Support Communication Cross Reference ID: IA00781084

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/35489/viewspace-84530/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论
Oracle , MySQL, SAP IQ, SAP HANA, PostgreSQL, Tableau 技术讨论,希望在这里一起分享知识,讨论技术,畅谈人生 。

注册时间:2007-12-10

  • 博文量
    5595
  • 访问量
    13129013